ABTN(4)

NAME
abtn - ADB Keyboard Special Keys Driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device adb

DESCRIPTION
The abtn driver provides support for the extended Fn keys on Apple notebooks with an ADB interface.

HARDWARE
The abtn driver supports extended keyboard keys (special F-keys) on the following devices:

•   Apple iBook Keyboard
•   Apple PowerBook Keyboard

EVENTS
The abtn driver sends events to devd(8) for the following events under the PMU system, and keys subsystem:

•   brightness - Generates up and down notify types matching the pressed key.
•   mute
•   volume - Generates up and down notify types matching the pressed key.
•   eject

Examples are included in /etc/devd/apple.conf.

SEE ALSO
adb(4), akbd(4), cuda(4), pmu(4), devd(8)

HISTORY
The abtn device driver first appeared in NetBSD 5.0 and was ported to FreeBSD 10.0.

AUTHORS
-nosplit The abtn driver was written by Tsubai Masanari for NetBSD and ported to FreeBSD by Justin Hibbits.